Multivariate Pattern Analysis in Python

# mvpa2.atlases.warehouse.FSLAtlas

class `mvpa2.atlases.warehouse.``FSLAtlas`(*args, **kwargs)

  Base class for FSL atlases

  Attributes

  `coordT` |
  `extent` |
  `levels` |
  `origin` |
  `resolution` |
  `spaceT` |
  `version` |
  `voxdim` |

  Methods

  Parameters:

  filename : str

  > Filename for the xml definition of the atlas

  resolution : None or float

  > Some atlases link to multiple images at different resolutions. if None – best resolution is selected using 0th dimension resolution

  image_file : None or str

  > If None, overrides filename for the used imagefile, so it could load a custom (re-registered) atlas maps

  coordT

  > Optional transformation to apply first

  default_levels : None or slice or list of int

  > What levels by default to operate on

  load_maps : bool

  > Load spatial maps for the atlas.

  Attributes

  `coordT` |
  `extent` |
  `levels` |
  `origin` |
  `resolution` |
  `spaceT` |
  `version` |
  `voxdim` |

  Methods

  `source` = 'FSL'